JSCSamikoTabs = 
{
	SetActiveTab: function(Tab)
	{
		var ListElements = Tab.parentNode.parentNode;
		var arTabs = ListElements.getElementsByTagName("LI");
		
		//Hide
		for (var i=0; i<arTabs.length; i++)
		{
			arTabs[i].className = "";
			var TabBody = document.getElementById(arTabs[i].id + "-body");
			if (TabBody)
				TabBody.style.display = "none";
		}
		
		//Show
		var TabBody = document.getElementById(Tab.parentNode.id + "-body");
		if (TabBody)
		{
			Tab.parentNode.className = "active";
			Tab.blur();
			TabBody.style.display = "block";
		}
	},
	
	SetTabCookie: function(TabSectionId, TabId)
	{
		document.cookie = "SamikoTabs[" + TabSectionId + "]=" + TabId + "; path=/;";
	},
	
	SetTabCookieOnUnload: function()
	{
		//no more then 5 tabsections
		for(i=0; i<5; i++)
		{
			var TabSection = document.getElementById('tab-list-id-'+i);
			if(TabSection)
			{
				var Tabs = TabSection.getElementsByTagName('LI');
				for(j=0; j<Tabs.length; j++)
				{
					if(Tabs[j].className == 'active')
					{
						var TabLink = Tabs[j].getElementsByTagName('A');
						TabLink[0].onclick();
					}
				}
			}
			else
				break;
		}
	},
	
	TabToTab: function(TabId)
	{
		var Tab = document.getElementById(TabId);
		if(Tab)
		{
			var TabLink = Tab.getElementsByTagName('A');
			TabLink[0].onclick();
			JSCSamikoTabs.SetActiveTab(TabLink[0]);
		}
	},
	
	Init: function()
	{
		if (document.location.hash.indexOf("#tab-") != -1)
		{
			var SelectedTabID = document.location.hash.substr(5, document.location.hash.length-10);
		/*	window.onload = function() {  
				 alert('ok');
				//var Tab = document.getElementById("tab-" + SelectedTabID);
				var Tab = document.getElementById("tab-list-id-0");
document.write(Tab);
			if (Tab && Tab.childNodes[0])
				JSCSamikoTabs.SetActiveTab(Tab.childNodes[0]);
			};  */
		}	


		window.onbeforeunload = JSCSamikoTabs.SetTabCookieOnUnload;	
	}
}

JSCSamikoTabs.Init();